<div style="margin-top: 20px;">
    <div class="container">
        <div class="row maximum-width-p-list">
            <p-dataList 
                [value]="vehicleSalesOrders" 
                [paginator]="true" 
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idOrder"
                expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)"
            >
                <p-header>
                    <jhi-alert></jhi-alert>
                    <!-- <div class="col-md-1 offset-md-11">
                        <button pButton type="button"
                            icon="fa-plus"
                            class="ui-button-primary btn-sm"
                            [routerLink]="['../prospect-person-new']">
                        </button>
                    </div> -->
                    <div>
                        <form name="searchForm" class="form-inline">
                            <div class="input-group w-100 mt-3">
                                <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                    name="currentSearch" placeholder="Cari VSO ">
                                <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                                    <span class="fa fa-search"></span>
                                </button>
                                <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                                    <span class="fa fa-trash-o"></span>
                                </button>
                            </div>
                        </form>
                    </div>
                </p-header>
                <ng-template let-rowData pTemplate="item">
                    <div *ngIf="rowData.currentStatus != 13 || rowData.currentStatus != 17 || rowData.currentStatus != 88">
                        <div class="ui-g ui-fluid border-item">
                            <div class="ui-g-6 ui-md-6">
                                <div class="ui-g">
                                    <div class="ui-g-12 ui-sm-12">{{'mpmApp.vehicleSalesOrder.customer'|translate}} : {{rowData.customer.partyName}}</div>
                                    <div class="ui-g-12 ui-sm-12">{{'mpmApp.vehicleSalesOrder.purchase'|translate}} : {{rowData.salesUnitRequirement.productName}} sales {{rowData.salesUnitRequirement.salesmanName}}</div>
                                    <div class="ui-g-12 ui-sm-12">{{'mpmApp.vehicleSalesOrder.status'|translate}}   :  {{getDescription(rowData.currentStatus)}}</div>
                                </div>
                            </div>
                            <div class="ui-g-6 ui-md-6" style="text-align:right">
                                <div class="ui-g">
                                    <div class="ui-g-12 ui-sm-12"> {{rowData.salesUnitRequirement.dateCreate | date:'dd-MMM-yyyy' }} </div>
                                    <div class="ui-g-12 ui-sm-12">
                                        <button pButton type="submit"
                                                [routerLink]="['../vehicle-sales-order-sales/'+ rowData.idOrder ]"
                                                icon="fa-pencil"
                                                class="flat-button"
                                                pTooltip="Detail">
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </ng-template>
        </p-dataList>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>

